### Method

# Foundry CodeAction run

#### Declaration [src]

    DexFuture*
    foundry_code_action_run (
      FoundryCodeAction* self
    )

#### Description [src]

Runs the code action and returns a `DexFuture` that resolves when the action has completed.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.